jif.types

## Interface LabeledType

- All Superinterfaces:
    java.lang.Cloneable, polyglot.util.Copy<polyglot.types.TypeObject>, polyglot.types.Qualifier, java.io.Serializable, polyglot.types.Type, polyglot.types.TypeObject
  All Known Implementing Classes:
    LabeledType_c

      public interface LabeledType
      extends polyglot.types.Type

  A labeled type.

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from interface polyglot.util.Copy

      `polyglot.util.Copy.Util`

  - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `Label` | `labelPart()`
    `LabeledType` | `labelPart(Label L)`
    `polyglot.types.Type` | `typePart()`
    `LabeledType` | `typePart(polyglot.types.Type type)`

    - ### Methods inherited from interface polyglot.types.Type

      `arrayOf, arrayOf, descendsFrom, descendsFromImpl, isArray, isBoolean, isByte, isCastValid, isCastValidImpl, isChar, isClass, isComparable, isDouble, isFloat, isImplicitCastValid, isImplicitCastValidImpl, isInt, isIntOrLess, isLong, isLongOrLess, isNull, isNumeric, isPrimitive, isReference, isShort, isSubtype, isSubtypeImpl, isThrowable, isUncheckedException, isVoid, numericConversionValid, numericConversionValid, numericConversionValidImpl, numericConversionValidImpl, print, toArray, toClass, toNull, toPrimitive, toReference, toString, translate, typeEquals, typeEqualsImpl`

    - ### Methods inherited from interface polyglot.types.Qualifier

      `isPackage, isType, toPackage, toType`

    - ### Methods inherited from interface polyglot.types.TypeObject

      `equalsImpl, isCanonical, position, typeSystem`

    - ### Methods inherited from interface polyglot.util.Copy

      `copy`

- - ### Method Detail

    - #### typePart

          polyglot.types.Type typePart()

    - #### typePart

          LabeledType typePart(polyglot.types.Type type)

    - #### labelPart

          Label labelPart()

    - #### labelPart

          LabeledType labelPart(Label L)